Bug 247397 - www/squid: Update to 4.12 (bugfix release)
Summary: www/squid: Update to 4.12 (bugfix release)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL: http://www.squid-cache.org/Versions/v...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-06-18 23:33 UTC by Juraj Lutter
Modified: 2020-07-28 11:05 UTC (History)
6 users (show)

See Also:
koobs: maintainer-feedback+
garga: merge-quarterly+


Attachments
www/squid: Update to 4.12 (5.77 KB, patch)
2020-06-18 23:33 UTC, Juraj Lutter
no flags Details | Diff
port patch (8.43 KB, patch)
2020-07-01 19:16 UTC, timp87
timp87: maintainer-approval+
Details | Diff
Update to 4.12 and address GREASEd (14.44 KB, patch)
2020-07-09 19:02 UTC, Juraj Lutter
no flags Details | Diff
port patch new (14.81 KB, patch)
2020-07-13 08:02 UTC, timp87
timp87: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Automation User 2020-06-19 00:08:24 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/157847048
Comment 2 Lorenzo Salvadore freebsd_committer 2020-06-19 00:45:18 UTC
^Triage: Please set the maintainer-approval attachment flag (to ?) and set the requestee field to the e-mail address of the maintainer to ask for maintainer approval.

Attachment -> Details -> maintainer-approval [?]
Comment 3 timp87 2020-06-19 12:37:18 UTC
(In reply to Juraj Lutter from comment #0)
Thank you very much for the report!
I've been testing my own patch this week. Sorry for the delay. I'll review the patch-configure part soon.
Comment 4 timp87 2020-07-01 19:16:34 UTC
Created attachment 216115 [details]
port patch

- Update to 4.12
- Remove upstreamed patches
- Enhance rc script (thanks to t.eichstaedt at gmx.net for ideas!):
-- create piddir if missing (/var/run may be a tmpfs)
-- don't wait endlessly if squid can't create a pidfile
-- define squid_group
Comment 5 timp87 2020-07-02 08:24:28 UTC
(In reply to timp87 from comment #4)
"t.eichstaedt at gmx.net" should be changed to "Walter von Entferndt" in the last comment
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-03 03:36:32 UTC
Comment on attachment 215756 [details]
www/squid: Update to 4.12

^Triage: Obsolete older patch
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-03 03:37:45 UTC
^Triage: 

- Feedback provided (maintainer-feedback +)
- Bugfix release: MFH: 2020Q3 (blanket: bugfix release)
Comment 8 timp87 2020-07-05 05:10:56 UTC
(In reply to Kubilay Kocak from comment #7)
I would love to see that in 2020Q3
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-05 05:15:27 UTC
(In reply to timp87 from comment #8)

All non-feature updates are merge candidates. Please set merge-quarterly flag to ? on future proposed changes that are relevant to ensure those merges take place
Comment 10 timp87 2020-07-05 08:38:40 UTC
(In reply to Kubilay Kocak from comment #9)
Ok, thank you
Comment 11 Joshua Kinard 2020-07-09 16:32:43 UTC
Might want to be aware of an issue w/ Squid-4.12 and Chrome/Chromium-based browsers.  IE and Firefox browsers work fine (so far) with 4.12, but Vivaldi and the new Edge fail to connect to any sites.

https://github.com/squid-cache/squid/pull/663
https://www.spinics.net/lists/squid/msg92728.html
https://www.spinics.net/lists/squid/msg92814.html
Comment 12 Juraj Lutter 2020-07-09 17:22:56 UTC
Let me review and test. Thanks for bringing this up.
Comment 13 Juraj Lutter 2020-07-09 19:02:15 UTC
Created attachment 216343 [details]
Update to 4.12 and address GREASEd
Comment 14 Juraj Lutter 2020-07-09 19:04:42 UTC
Tested on

- Firefox nightly
- Safari
- Chromium based Edge

Works on all of them.

Poudriere log:
https://freebsd-stable.builder.wilbury.net/data/12_STABLE_GENERIC_amd64-default-nextcloud/2020-07-09_20h15m40s/logs/squid-4.12.log
Comment 16 timp87 2020-07-13 08:02:00 UTC
Created attachment 216412 [details]
port patch new

- Update to 4.12
- Remove upstreamed patches
- Enhance rc script (thanks to Walter von Entferndt for ideas!):
-- create piddir if missing (/var/run may be a tmpfs)
-- don't wait endlessly if squid can't create a pidfile
-- define squid_group
- address GREASEd (thanks to Joshua Kinard and Juraj Lutter!)

Juraj Lutter, I have recreated because your version has trimmed a part of configure patch with IPF support.
Comment 17 commit-hook freebsd_committer 2020-07-27 14:50:41 UTC
A commit references this bug:

Author: garga
Date: Mon Jul 27 14:50:16 UTC 2020
New revision: 543526
URL: https://svnweb.freebsd.org/changeset/ports/543526

Log:
  www/squid: Update to 4.12 among other changes

  - Update to 4.12
  - Remove upstreamed patches
  - Enhance rc script (thanks to Walter von Entferndt for ideas!):
  -- create piddir if missing (/var/run may be a tmpfs)
  -- don't wait endlessly if squid can't create a pidfile
  -- define squid_group
  - address GREASEd (thanks to Joshua Kinard and Juraj Lutter!)

  PR:		247397
  Submitted by:	Juraj Lutter <juraj@lutter.sk>
  Reworked by:	maintainer
  Approved by:	maintainer
  MFH:		2020Q3 (bug-fix release)
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/www/squid/Makefile
  head/www/squid/distinfo
  head/www/squid/files/patch-configure
  head/www/squid/files/patch-src_acl_external_eDirectory__userip_ext__edirectory__userip__acl.cc
  head/www/squid/files/patch-src_acl_external_kerberos__ldap__group_support__krb5.cc
  head/www/squid/files/patch-src_security_Handshake.cc
  head/www/squid/files/squid.in
Comment 18 commit-hook freebsd_committer 2020-07-28 11:05:08 UTC
A commit references this bug:

Author: garga
Date: Tue Jul 28 11:05:03 UTC 2020
New revision: 543590
URL: https://svnweb.freebsd.org/changeset/ports/543590

Log:
  MFH: r543526

  www/squid: Update to 4.12 among other changes

  - Update to 4.12
  - Remove upstreamed patches
  - Enhance rc script (thanks to Walter von Entferndt for ideas!):
  -- create piddir if missing (/var/run may be a tmpfs)
  -- don't wait endlessly if squid can't create a pidfile
  -- define squid_group
  - address GREASEd (thanks to Joshua Kinard and Juraj Lutter!)

  PR:		247397
  Submitted by:	Juraj Lutter <juraj@lutter.sk>
  Reworked by:	maintainer
  Approved by:	maintainer
  Sponsored by:	Rubicon Communications, LLC (Netgate)
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/www/squid/Makefile
  branches/2020Q3/www/squid/distinfo
  branches/2020Q3/www/squid/files/patch-configure
  branches/2020Q3/www/squid/files/patch-src_acl_external_eDirectory__userip_ext__edirectory__userip__acl.cc
  branches/2020Q3/www/squid/files/patch-src_acl_external_kerberos__ldap__group_support__krb5.cc
  branches/2020Q3/www/squid/files/patch-src_security_Handshake.cc
  branches/2020Q3/www/squid/files/squid.in